complexType "CreditEventNoticeDocument"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 8 elements
Defined: | globally in fpml-credit-event-notification-5-5.xsd; see XML source
Includes: | definitions of 8 elements
Used: | at 3 locations

Content Model Diagram

XML Representation Summary
<...>
Content: | affectedTransactions?, referenceEntity?, creditEvent?, publiclyAvailableInformation*, notifyingPartyReference?, notifiedPartyReference?, creditEventNoticeDate?, creditEventDate?
</...>

Content Model Elements (8):

  affectedTransactions,
  creditEvent,
  creditEventDate,
  creditEventNoticeDate,
  notifiedPartyReference,
  notifyingPartyReference,
  publiclyAvailableInformation (defined in CreditEventNoticeDocument complexType),
  referenceEntity (defined in CreditEventNoticeDocument complexType)

All Direct / Indirect Based Elements (3):

  creditEventNotice, creditEventNotice (in creditEventNotification), | creditEventNotice (in creditEventNotificationRetracted)

Known Usage Locations

- As direct type of elements (3):

  creditEventNotice, creditEventNotice (in creditEventNotification), | creditEventNotice (in creditEventNotificationRetracted)

Annotation
An event type that records the occurrence of a credit event notice.
XML Source (w/o annotations (3); see within schema source)

<xsd:complexType name="CreditEventNoticeDocument"> <xsd:sequence> <xsd:element minOccurs="0" name="affectedTransactions" type="AffectedTransactions"/> <xsd:element minOccurs="0" name="referenceEntity" type="LegalEntity"/> <xsd:element minOccurs="0" ref="creditEvent"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="publiclyAvailableInformation" type="Resource"/> <xsd:element minOccurs="0" name="notifyingPartyReference" type="PartyReference"/> <xsd:element minOccurs="0" name="notifiedPartyReference" type="PartyReference"/> <xsd:element minOccurs="0" name="creditEventNoticeDate" type="xsd:date"/> <xsd:element minOccurs="0" name="creditEventDate" type="xsd:date"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 8/8)
affectedTransactions

  Type: | AffectedTransactions, complex content

  Trades affected by this event.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="affectedTransactions" type="AffectedTransactions"/>

creditEvent

  Type: | CreditEvent, empty content
  Abstract: | (may not be used directly in instance XML documents)
  Subst.Gr: | may be substituted with 6 elements

  XML Source (see within schema source)

  <xsd:element minOccurs="0" ref="creditEvent"/>

creditEventDate

  Type: | xsd:date, predefined, simple content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="creditEventDate" type="xsd:date"/>

creditEventNoticeDate

  Type: | xsd:date, predefined, simple content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="creditEventNoticeDate" type="xsd:date"/>

notifiedPartyReference

  Type: | PartyReference, empty content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="notifiedPartyReference" type="PartyReference"/>

notifyingPartyReference

  Type: | PartyReference, empty content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="notifyingPartyReference" type="PartyReference"/>

publiclyAvailableInformation

  Type: | Resource, complex content

  A public information source, e.g. a particular newspaper or electronic news service, that may publish relevant information used in the determination of whether or not a credit event has occurred.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="publiclyAvailableInformation" type="Resource"/>

referenceEntity

  Type: | LegalEntity, complex content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="referenceEntity" type="LegalEntity"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.